Bug 210810 - FC6 - AMD 64 PCI CANNOT ALLOCATE RESOURCE REGION OF BRIDGE
FC6 - AMD 64 PCI CANNOT ALLOCATE RESOURCE REGION OF BRIDGE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-15 10:29 EDT by Gerald Cox
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 13:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Cox 2006-10-15 10:29:21 EDT
Description of problem:
Problem did not occur when using kernel provided by initial pre-release version
of FC6; however all subsequent kernel updates have had problem.  Current kernel 
version is 2784.  Hardware is HP DV5215US Laptop with AMD Turion 64 processor.
Receive following message at boot:

PCI: Cannot allocate resource region 7 of bridge 0000:00:05.0
PCI: Cannot allocate resource region 8 of bridge 0000:00:05.0

Output of lspci is as follows:
./lspci -v
00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 01)
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, 66MHz, medium devsel, latency 64

00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge (prog-if 00 [Normal
decode])
        Flags: bus master, 66MHz, medium devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: c0100000-c01fffff
        Prefetchable memory behind bridge: 00000000c8000000-00000000cff00000
        Capabilities: <access denied>

00:05.0 PCI bridge: ATI Technologies Inc Unknown device 5a37 (prog-if 00 [Normal
decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=03, sec-latency=0
        Capabilities: <access denied>

00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
(prog-if 10 [OHCI])
        Subsystem: ATI Technologies Inc IXP SB400 USB Host Controller
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 217
        Memory at c0000000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>

00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
(prog-if 10 [OHCI])
        Subsystem: ATI Technologies Inc IXP SB400 USB Host Controller
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 217
        Memory at c0001000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>

00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller
(prog-if 20 [EHCI])
        Subsystem: ATI Technologies Inc IXP SB400 USB2 Host Controller
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 217
        Memory at c0002000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: <access denied>

00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 11)
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: 66MHz, medium devsel
        I/O ports at 8400 [size=16]
        Memory at c0003000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE
Controller ATI (prog-if 8a [Master SecP PriP])
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 209
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at 8410 [size=16]
        Capabilities: <access denied>

00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge
        Flags: bus master, 66MHz, medium devsel, latency 0

00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (prog-if 01
[Subtractive decode])
        Flags: bus master, 66MHz, medium devsel, latency 64
        Bus: primary=00, secondary=06, subordinate=08, sec-latency=64
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: c0200000-c02fffff
        Prefetchable memory behind bridge: 50000000-51ffffff

00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97 Audio
Controller (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, 66MHz, slow devsel, latency 64, IRQ 201
        Memory at c0003400 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>

00:14.6 Modem: ATI Technologies Inc ATI SB400 - AC'97 Modem Controller (rev 02)
(prog-if 00 [Generic])
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, 66MHz, slow devsel, latency 64, IRQ 201
        Memory at c0003800 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
        Flags: fast devsel
        Capabilities: <access denied>

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
        Flags: fast devsel

01:05.0 VGA compatible controller: ATI Technologies Inc ATI Radeon XPRESS 200M
5955 (PCIE) (prog-if 00 [VGA])
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, 66MHz, medium devsel, latency 66, IRQ 7
        Memory at c8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 9000 [size=256]
        Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at c0120000 [disabled] [size=128K]
        Capabilities: <access denied>

06:02.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g]
802.11g Wireless LAN Controller (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 1355
        Flags: bus master, fast devsel, latency 64, IRQ 50
        Memory at c0204000 (32-bit, non-prefetchable) [size=8K]

06:04.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, medium devsel, latency 168, IRQ 177
        Memory at c0208000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=06, secondary=07, subordinate=07, sec-latency=176
        Memory window 0: 50000000-51fff000 (prefetchable)
        Memory window 1: 52000000-53fff000
        I/O window 0: 0000a400-0000a4ff
        I/O window 1: 0000a800-0000a8ff
        16-bit legacy interface ports at 0001

06:04.2 FireWire (IEEE 1394): Texas Instruments OHCI Compliant IEEE 1394 Host
Controller (prog-if 10 [OHCI])
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, medium devsel, latency 64, IRQ 233
        Memory at c0209000 (32-bit, non-prefetchable) [size=2K]
        Memory at c0200000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

06:04.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia
Controller
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, medium devsel, latency 64, IRQ 10
        Memory at c0206000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: <access denied>

06:04.4 Class 0805: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621
Secure Digital Controller
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, medium devsel, latency 64, IRQ 177
        Memory at c020a000 (32-bit, non-prefetchable) [size=256]
        Memory at c0209c00 (32-bit, non-prefetchable) [size=256]
        Memory at c0209800 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>

06:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: Hewlett-Packard Company Unknown device 30a4
        Flags: bus master, medium devsel, latency 128, IRQ 225
        I/O ports at a000 [size=256]
        Memory at c020a400 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>


Version-Release number of selected component (if applicable):


How reproducible:
Occurs at every system boot.


Steps to Reproduce:
1.  Reboot System
  
Actual results:
See description above


Expected results:
No error message


Additional info:
Comment 1 Dave Jones 2006-10-16 13:47:57 EDT
it's harmless. I just checked in a patch to silence this, which will make it
into the final FC6 kernel which is getting built today.

Note You need to log in before you can comment on or make changes to this bug.